org.apache.jmeter.testelement

## Interface ThreadListener

- All Known Implementing Classes:
    AccessLogSampler, AjpSampler, BeanShellAssertion, BeanShellListener, BeanShellPostProcessor, BeanShellPreProcessor, BeanShellSampler, BeanShellTestElement, BeanShellTimer, CriticalSectionController, HTTPSampler, HTTPSamplerBase, HTTPSamplerProxy, IfController, Jexl2Function, Jexl3Function, JMSSampler, JSONPostProcessor, JUnitSampler, RemoteThreadsListenerImpl, RemoteThreadsListenerTestElement, RemoteThreadsListenerWrapper, SampleTimeout, SessionFilter, SubscriberSampler, SyncTimer, TCPSampler, XMLAssertion

      public interface ThreadListener

  Allow threads to perform startup and closedown if necessary

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `threadFinished()` Called for each thread after all samples have been processed.
    `void` | `threadStarted()` Called for each thread before starting sampling.

- - ### Method Detail

    - #### threadStarted

          void threadStarted()

      Called for each thread before starting sampling. WARNING: this is called before any Config test elements are processed, so any properties they define will not have been merged in yet.
      See Also:
        `JMeterThread.threadStarted()`

    - #### threadFinished

          void threadFinished()

      Called for each thread after all samples have been processed.
      See Also:
        `JMeterThread.threadFinished(org.apache.jmeter.engine.event.LoopIterationListener)`

Copyright © 1998-2018 Apache Software Foundation. All Rights Reserved.